<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- responsive meta tag -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
    <title>Intro to Bootstrap and Simple Styles</title>
</head>
<body>

    <!-- <nav class="bg-primary">
        <ul>
            <li>
                <a href="#">Home</a>
            </li>
            <li>
                <a href="#">About Me</a>
            </li>
            <li>
                <a href="#">Projects</a>
            </li>
        </ul>
    </nav> -->

    <!-- TEXT: Text alignment -->
    <p class="text-justify m-5" >Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius. Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius</p>

    <p class="text-center m-5" >Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius. Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius</p>

    <p class="text-right m-5" >Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius. Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius Lorem ipsum dolor sit amet consectetur, adipisicing elit. Illum accusantium doloribus ipsum tempora maxime enim perferendis alias quidem, sequi, suscipit assumenda ad. Vel ipsam aliquam sed mollitia quaerat asperiores eius</p>

    <!-- TEXT: Text transform and font weight -->
    <p class="text-lowercase m-5">FIRST PARAGRAPH</p>
    <p class="text-uppercase m-5">second paragraph</p>
    <p class="text-capitalize m-5">third paragraph</p>
    <p class="font-weight-bold m-5">fourth paragraph</p>
    <p class="font-weight-lighter m-5">fifth paragraph</p>
    <p class="font-italic m-5">sixth paragraph</p>

    <!-- COLORS: Text -->
    <div style="background-color: whitesmoke">
        <p class="text-primary m-5">primary</p>
        <p class="text-secondary m-5">secondary</p>
        <p class="text-warning m-5">warning</p>
        <p class="text-success m-5">success</p>
        <p class="text-info m-5">danger</p>
        <p class="text-black m-5">info</p>
        <p class="text-light bg-dark m-5">dark</p>
        <p class=" m-5">light</p>
    </div>
    
    <!-- COLORS: Links -->
    <div>
        <li>
            <a href="#" class="text-secondary m-5">Primary</a>
        </li>
        <li>
            <a href="#" class="text-secondary m-5">Secondary</a>
        </li>
        <li>
            <a href="#" class="text-warning m-5">Warning</a>
        </li>
        <li>
            <a href="#" class="text-success m-5">Success</a>
        </li>
        <li>
            <a href="#" class="text-danger m-5">Danger</a>
        </li>
        <li>
            <a href="#" class="text-info m-5">Info</a>
        </li>
        <li>
            <a href="#" class="text-dark m-5">Dark</a>
        </li>
        <li>
            <a href="#" class="text-light bg-dark m-5">Light</a>
        </li>
    </div>

    <!-- COLORS: Backgroung -->
    <div style="background-color: coral; height: 40rem; padding: 1rem;">
        <p class="bg-primary m-5">Primary</p>
        <p class="bg-secondary m-5">Secondary</p>
        <p class="bg-warning m-5">Warning</p>
        <p class="bg-success m-5">Success</p>
        <p class="bg-danger m-5">Danger</p>
        <p class="bg-info m-5">Info</p>
        <p class="bg-dark m-5">Dark</p>
        <p class="bg-light m-5">Light</p>
    </div>

    <!-- Borders: Add border -->
    <div class="m-5" style="background-color: grey; padding: 2rem;">
        <img src="https://via.placeholder.com/75x75" class="border border-primary">
        <img src="https://via.placeholder.com/75x75" class="border-top border-primary">
        <img src="https://via.placeholder.com/75x75" class="border-bottom border-primary">
        <img src="https://via.placeholder.com/75x75" class="border-left border-primary">
        <img src="https://via.placeholder.com/75x75" class="border-right border-primary">
    </div>


    <!-- Borders: Subtract border -->
    <div class="m-5" style="background-color: grey; padding: 2rem;">
        <img src="https://via.placeholder.com/75x75" class="border-0 border-primary">
        <img src="https://via.placeholder.com/75x75" class="border border-top-0 border-primary">
        <img src="https://via.placeholder.com/75x75" class="border border-bottom-0 border-primary">
        <img src="https://via.placeholder.com/75x75" class="border border-left-0 border-primary">
        <img src="https://via.placeholder.com/75x75" class="border border-right-0 border-primary">
    </div>

    <!-- Border Radius -->
    <div class="m-2" style="background-color: grey; padding: 2rem;">
        <img src="https://via.placeholder.com/75x75" class="rounded">
        <img src="https://via.placeholder.com/75x75" class="rounded-top">
        <img src="https://via.placeholder.com/75x75" class="rounded-right">
        <img src="https://via.placeholder.com/75x75" class="rounded-bottom">
        <img src="https://via.placeholder.com/75x75" class="rounded-left">
        <img src="https://via.placeholder.com/75x75" class="rounded-circle">
    </div>

    <!-- Display -->
    <div class="bg-primary d-inline">Block Element</div>
    <span class="bg-success d-block">Inline Element</span>
    <div class="bg-warning d-inline-block my-3">Inline-Block Element</div>

    <!-- Sizing: Weight -->
    <div style="width: 50rem; background-color: dimgray; padding: 1rem; margin: 1rem;">
        <div class="bg-success w-25">25%</div>
        <div class="bg-success w-50">50%</div>
        <div class="bg-warning w-75">75%</div>
        <div class="bg-success w-100">100%</div>
    </div>

    <!-- Sizing: Height -->
    <div style="width: 50rem; height: 20rem; background-color: dimgray; padding: 1rem; margin: 1rem;" class="d-flex">
        <div class="bg-warning h-25">25%</div>
        <div class="bg-warning h-50">50%</div>
        <div class="bg-warning h-75">75%</div>
        <div class="bg-warning">100%</div>
    </div>

    <!-- Responsive Image -->
    <div>
        <img src="https://www.davpetlovers.com/wp-content/uploads/2020/04/CCFD5366-CCBF-4F17-BCF7-322A0B297D94-e1621928574380.jpeg" class="img-fluid h-25 w-25 m-5 rounded-circle mx-auto d-block">
    </div>


    <div class="container">
        <table class="table table-light table-striped table-bordered">
            <thead class="thead-dark">
                <tr>
                    <th>First Name</th>
                    <th>Last Name</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Marc Allen</td>
                    <td>Nanong</td>
                </tr>
            </tbody>
        </table>
    </div>


    <div style="margin-top: 100px;"></div>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>